## com.icl.saxon.output
Class DOMEmitter

    java.lang.Object
      |
      +--com.icl.saxon.output.Emitter
            |
            +--com.icl.saxon.output.DOMEmitter

All Implemented Interfaces:
  javax.xml.transform.Result

public class DOMEmitter
extends Emitter

DOMEmitter is an Emitter that attaches the result tree to a specified Node in a DOM Document

Field Summary
`protected org.w3c.dom.Node` `currentNode`
`protected org.w3c.dom.Document` `document`

Fields inherited from class com.icl.saxon.output.Emitter
`locator, namePool, outputProperties, outputStream, systemId, writer`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`DOMEmitter()`

Method Summary
`void` `characters(char[] ch, int start, int length)` Character data.
`void` `comment(char[] ch, int start, int length)` Handle a comment.
`void` `endDocument()` End of the document.
`void` `endElement(int nameCode)` End of an element.
`void` `processingInstruction(java.lang.String target, java.lang.String data)` Handle a processing instruction.
`void` `setNode(org.w3c.dom.Node node)` Set output destination
`void` `startDocument()` Start of the document.
`void` `startElement(int nameCode, org.xml.sax.Attributes attributes, int[] namespaces, int nscount)` Start of an element.

Methods inherited from class com.icl.saxon.output.Emitter
`getNamePool, getOutputProperties, getOutputStream, getSystemId, getWriter, makeEmitter, setDocumentLocator, setEscaping, setNamePool, setOutputProperties, setOutputStream, setSystemId, setUnparsedEntity, setWriter, usesWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### currentNode

    protected org.w3c.dom.Node currentNode

### document

    protected org.w3c.dom.Document document

Constructor Detail

### DOMEmitter

    public DOMEmitter()

Method Detail

### startDocument

    public void startDocument()

  Start of the document.
  Overrides:
    `startDocument` in class `Emitter`

### endDocument

    public void endDocument()

  End of the document.
  Overrides:
    `endDocument` in class `Emitter`

### startElement

    public void startElement(int nameCode,
                             org.xml.sax.Attributes attributes,
                             int[] namespaces,
                             int nscount)
                      throws javax.xml.transform.TransformerException

  Start of an element. Output the start tag, escaping special characters.
  Overrides:
    `startElement` in class `Emitter`
  Following copied from class: `com.icl.saxon.output.Emitter`
  Parameters:
    `namespaces` - Array of namespace codes identifying the namespace prefix/uri pairs associated with this element
    `nscount` - Number of significant entries within namespaces array

### endElement

    public void endElement(int nameCode)
                    throws javax.xml.transform.TransformerException

  End of an element.
  Overrides:
    `endElement` in class `Emitter`

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws javax.xml.transform.TransformerException

  Character data.
  Overrides:
    `characters` in class `Emitter`

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)
                               throws javax.xml.transform.TransformerException

  Handle a processing instruction.
  Overrides:
    `processingInstruction` in class `Emitter`

### comment

    public void comment(char[] ch,
                        int start,
                        int length)
                 throws javax.xml.transform.TransformerException

  Handle a comment.
  Overrides:
    `comment` in class `Emitter`

### setNode

    public void setNode(org.w3c.dom.Node node)

  Set output destination